<?php

namespace Deployer;

task('deploy:d3OxidBeforeVendorsTasks', [
    'deploy:oxid_backup_configfile'
]);

task('deploy:oxid_backup_configfile', function() {
    if (test('[ -f {{release_path}}/source/config.inc.php ]')) {
        run('mv {{release_path}}/source/config.inc.php {{release_path}}/source/config.deployment.inc.php');
    }
});

desc('Oxid related tasks');
task('deploy:d3OxidAfterVendorTasks', [
    'deploy:oxid_restore_configfile',
    'deploy:clear_paths'
]);

task('deploy:oxid_restore_configfile', function() {
    if (test('[ -f {{release_path}}/source/config.deployment.inc.php ]')) {
        run('mv {{release_path}}/source/config.deployment.inc.php {{release_path}}/source/config.inc.php');
    }
});
